Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.aprs
Enum DataExtensionEnum

    java.lang.Object
      java.lang.Enum<DataExtensionEnum>
          org.ka2ddo.aprs.DataExtensionEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DataExtensionEnum>

    public enum DataExtensionEnum

extends java.lang.Enum<DataExtensionEnum>

This defines hashmap keys for various optional data extensions supported by APRS messages. Note these are separate from WeatherEnum keys (even if they have the same ordinal value).

See Also:
  `WeatherEnum`, `Message.getExtension(Enum)`, `Message.storeExtension(Enum, Object)`

Enum Constant Summary
`AREA_COLOR` Color code for APRS area "symbols" (APRS protocol specification chapter 7).
`AREA_LAT_OFFSET` Latitude offset digit for APRS area "symbols" (APRS protocol specification chapter 7).
`AREA_LON_OFFSET` Longitude offset digit for APRS area "symbols" (APRS protocol specification chapter 7).
`AREA_SHAPE` Shape number code for APRS area "symbols" (APRS protocol specification chapter 7).
`BEARING` Bearing for direction-finding.
`COMPRESSCODE` Compression type code for compressed position messages (APRS protocol specification chapter 9).
`DFS` Four-digit Direction-Finding Signal.
`DIGIPEATER_ALIASES` Text abbreviations for digipeater aliases to be reported in station beacon message.
`FREQUENCY` Frequency for a repeater or monitoring station in MHz (Double).
`GPS_SENTENCE_TYPE` Last GPS sentence type used to provide position information.
`LINE_WIDTH` Width of APRS area "line" (APRS protocol specification chapter 7).
`NRQ` Three digits of Number/Range/Quality for direction finding.
`NWS_MULTILINE` NWSMultiline object extracted from a MessageMessage.
`PHG` Four-digit PHG string (APRS protocol specification chapter 7).
`RNG` Four-digit range in statute miles (APRS protocol specification chapter 7).
`SHIFT` Repeater offset in 10s of kHz, signed for the shift direction (0 means simplex).
`SIGNPOST` Text string for display on an APRS signpost symbol (APRS protocol specification chapter 11).
`TELEMETRY` Base91 Telemetry data extracted from a PositionMessage's comment, per the proposed extension documented in http://he.fi/doc/aprs-base91-comment-telemetry.txt.
`TONE` Sub-audible tone encoding.

Method Summary
`static DataExtensionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DataExtensionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PHG

    public static final DataExtensionEnum PHG

  Four-digit PHG string (APRS protocol specification chapter 7).

### RNG

    public static final DataExtensionEnum RNG

  Four-digit range in statute miles (APRS protocol specification chapter 7).

### DFS

    public static final DataExtensionEnum DFS

  Four-digit Direction-Finding Signal.

### BEARING

    public static final DataExtensionEnum BEARING

  Bearing for direction-finding.

### NRQ

    public static final DataExtensionEnum NRQ

  Three digits of Number/Range/Quality for direction finding.

### COMPRESSCODE

    public static final DataExtensionEnum COMPRESSCODE

  Compression type code for compressed position messages (APRS protocol specification chapter 9).

### AREA_SHAPE

    public static final DataExtensionEnum AREA_SHAPE

  Shape number code for APRS area "symbols" (APRS protocol specification chapter 7).

### AREA_LAT_OFFSET

    public static final DataExtensionEnum AREA_LAT_OFFSET

  Latitude offset digit for APRS area "symbols" (APRS protocol specification chapter 7).

### AREA_LON_OFFSET

    public static final DataExtensionEnum AREA_LON_OFFSET

  Longitude offset digit for APRS area "symbols" (APRS protocol specification chapter 7).

### AREA_COLOR

    public static final DataExtensionEnum AREA_COLOR

  Color code for APRS area "symbols" (APRS protocol specification chapter 7).

### LINE_WIDTH

    public static final DataExtensionEnum LINE_WIDTH

  Width of APRS area "line" (APRS protocol specification chapter 7).

### SIGNPOST

    public static final DataExtensionEnum SIGNPOST

  Text string for display on an APRS signpost symbol (APRS protocol specification chapter 11).

### NWS_MULTILINE

    public static final DataExtensionEnum NWS_MULTILINE

  NWSMultiline object extracted from a MessageMessage.

  See Also:
    `NWSMultiLine`

### TELEMETRY

    public static final DataExtensionEnum TELEMETRY

  Base91 Telemetry data extracted from a PositionMessage's comment, per the proposed extension documented in http://he.fi/doc/aprs-base91-comment-telemetry.txt. Stored as a TelemetryMessage object attached to the original PositionMessage.

  See Also:
    `TelemetryMessage.TelemetryMessage(PositionMessage,int,int)`, `TelemetryMessage.getBase91Encoding()`

### FREQUENCY

    public static final DataExtensionEnum FREQUENCY

  Frequency for a repeater or monitoring station in MHz (Double).

### TONE

    public static final DataExtensionEnum TONE

  Sub-audible tone encoding. (XmitEncoding)

  See Also:
    `XmitEncoding`, `XmitEncoding.CTCSS_FREQS`

### SHIFT

    public static final DataExtensionEnum SHIFT

  Repeater offset in 10s of kHz, signed for the shift direction (0 means simplex). (Integer)

### DIGIPEATER_ALIASES

    public static final DataExtensionEnum DIGIPEATER_ALIASES

  Text abbreviations for digipeater aliases to be reported in station beacon message. (String)

### GPS_SENTENCE_TYPE

    public static final DataExtensionEnum GPS_SENTENCE_TYPE

  Last GPS sentence type used to provide position information.

  See Also:
    `GpsFix.SENTENCETYPE_UNKNOWN`, `GpsFix.SENTENCETYPE_GGA`, `GpsFix.SENTENCETYPE_GLL`, `GpsFix.SENTENCETYPE_RMC`

Method Detail

### values

    public static DataExtensionEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataExtensionEnum c : DataExtensionEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataExtensionEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD